package com.izouma.awesomeadmin.dao;

import java.util.*;
import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.LandMarkLevel;


/**
*  Dao接口
*/
@Repository("com.zoumaframe.dao.LandMarkLevelMapper")
public interface LandMarkLevelMapper{

    int deleteByPrimaryKey(Integer id);

    int insertSelective(LandMarkLevel record);

    LandMarkLevel selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(LandMarkLevel record);

    List<LandMarkLevel> queryAllLandMarkLevel(LandMarkLevel record);

    List<LandMarkLevel> queryLandMarkLevelByPage(Map<String, Object> parameter);

    int delete(LandMarkLevel record);

    LandMarkLevel queryLandMarkLevel(LandMarkLevel record);

    List<LandMarkLevel> query(LandMarkLevel record);
}

